QGIS Application - Bug report #2203
GPS Tools: spaces in Output File path
2009-12-06 11:09 AM - Micha Silver

Status: Closed
Priority: Low
Assignee:

Category: C++ Plugins

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 12263

Description

When using the GPS Tools plugin to download a gpx file from a GPS instrument, the plugin fails when there are spaces in the Output File

path or file name.

On the other hand, gpsbabel does work with spaces in the path when the output file path is quoted. For example running:

"C:\\Program Files\\Quantum GIS\\bin\\gpsbabel.exe" -w -i garmin -f USB: -0 gpx -F "C:\\Documents and Settings\\micha\\My

Documents\\waypoints.gpx"

works properly.

However entering the same above output file (with or without quotes) in GPS Tools fails with the error "The layer is not a valid layer..."

History

#1 - 2009-12-06 01:31 PM - Jiirgen Fischer

please try commit:944c4572 (SVN r12344)

#2 - 2010-06-11 11:23 AM - Paolo Cavallini

Is this fixed now? Please check and close if appropriate.

#3 - 2010-06-12 10:59 AM - Micha Silver

- Resolution set to fixed
- Status changed from Open to Closed

| tested today on [[WinXP]] using the OSGeo4W installer (qgis-dev R13701) and the GPS tool plugin works correctly with spaces in the file path (and also

in the file name itself).
